Bug 218721 - Review Request: perl-Test-Distribution - Perform tests on all modules of a distribution
Review Request: perl-Test-Distribution - Perform tests on all modules of a di...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Test-Dist...
:
Depends On:
Blocks: FE-ACCEPT 218722
  Show dependency treegraph
 
Reported: 2006-12-06 19:05 EST by Chris Weyl
Modified: 2010-05-18 14:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-06 21:43:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-12-06 19:05:52 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Test-Distribution-1.26-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Test-Distribution.spec

Description:
When using this module in a test script, it goes through all the modules in
your distribution, checks their POD, checks that they compile ok and checks
that they all define a $VERSION.
Comment 1 Jason Tibbitts 2006-12-06 21:02:08 EST
* source files match upstream:
   64dc13f51f60f6022bb8e628f1297957  Test-Distribution-1.26.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Test::Distribution) = 1.26
   perl(Test::Distribution::base)
   perl(Test::Distribution::description)
   perl(Test::Distribution::exports)
   perl(Test::Distribution::manifest)
   perl(Test::Distribution::pod)
   perl(Test::Distribution::podcover)
   perl(Test::Distribution::prereq)
   perl(Test::Distribution::sig)
   perl(Test::Distribution::use)
   perl(Test::Distribution::versions)
   perl-Test-Distribution = 1.26-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(ExtUtils::Manifest)
   perl(File::Find::Rule) >= 0.03
   perl(Module::CoreList) >= 1.93
   perl(Module::Signature)
   perl(Pod::Coverage) >= 0.17
   perl(Test::More)
   perl(Test::Pod) >= 0.95
   perl(Test::Pod::Coverage)
   perl(strict)
   perl(vars)
   perl(warnings)
* %check is present and all tests pass:
   All tests successful, 6 subtests skipped.
   Files=9, Tests=46,  2 wallclock secs ( 0.89 cusr +  0.24 csys =  1.13 CPU)
   The skipped checks are due to either gpg failures due to missing keys (would
probably require network access) or due to unimplemented tests.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-12-06 21:43:38 EST
Imported and building for devel; branches requested for FC-[56].

Thanks for the review!
Comment 3 Patrice Dumas 2008-02-24 04:26:32 EST
Package Change Request
======================
Package Name: perl-Test-Distribution
New Branches: EL-4 EL-5
Updated EPEL Owners: pertusus cweyl

Comment 4 Patrice Dumas 2008-02-24 04:46:17 EST
Chris accepted my offer to be EPEL maintainer by mail, maybe he 
should confirm?
Comment 5 Kevin Fenzi 2008-02-25 16:31:21 EST
Sure, Chris? 
Comment 6 Chris Weyl 2008-02-25 21:30:53 EST
Sorry for the delay -- with pleasure, confirmed :)
Comment 7 Kevin Fenzi 2008-02-25 22:23:47 EST
cvs done.
Comment 8 Paul Howarth 2010-05-13 12:07:04 EDT
Package Change Request
======================
Package Name: perl-Test-Distribution
New Branches: EL-6
Updated EPEL Owners: pghmcfc cweyl
Comment 9 Dennis Gilmore 2010-05-13 18:45:59 EDT
this was excluded from mass branching of EL-6 why is it being added now ?
Comment 10 Paul Howarth 2010-05-14 02:56:32 EDT
The EPEL-4/5 maintainer (pertusus) isn't maintaining packages in EPEL-6 (and will probably orphan EPEL-4/5 if someone else will pick it up - I will be happy to do that by the way); I didn't realise I needed this package as a dependency of one of my modules so I didn't take this package when Patrice offered his packages prior to the mass branching.
Comment 11 Dennis Gilmore 2010-05-18 14:43:53 EDT
OK

CVS Done

Note You need to log in before you can comment on or make changes to this bug.